<?php

namespace Util;

use Doctrine\DBAL\DriverManager;
use Doctrine\ORM\EntityManager as EntityManager;
use Zeedhi\Framework\ORM\ConnectionFactory as ORMConnectionFactory;

class ConnectionCustom {
    private $config;
    private $eventManager;
    private $connectionParams;

    public function __construct(array $connectionParams, $config = null, $eventManager = null) {
        $this->config = $config;
        $this->eventManager = $eventManager;
        $this->connectionParams = $connectionParams;
    }

    public function updateUserConnection($user)
    {
        if(!empty($this->connectionParams['sessionMode'])) {
            $this->connectionParams['dbname'] = $user;    
        } else {
            $this->connectionParams['user'] = $user;
        }

        $connection = DriverManager::getConnection($this->connectionParams, $this->config, $this->eventManager);
        return EntityManager::create($connection, $this->config, $this->eventManager);
    }

    public function updateSaasConnection()
    {
        return $this->updateUserConnection('USR_ORG_SAAS');
    }
} 