<?php

namespace Util;

use Doctrine\DBAL\DriverManager;
use Zeedhi\Framework\Session\Session;
use Exception\Login as LoginException;

class ConnectionFactory extends \Zeedhi\Framework\ORM\ConnectionFactory {
    public static function factoryWithEncryptedPassword(array $connectionParams, $salt = 'license', $config = null, $eventManager = null, Session $session = null){
        $testConnectionParams = false;
        if($session) {
            $testConnectionParams = $session->has('testConnectionParams') ? $session->get('testConnectionParams') : false;
        }
        if ($testConnectionParams && $connectionParams['useTestDataBase'] == 'true') {
            $connectionParams['user']     = $testConnectionParams['user'];
            $connectionParams['password'] = $testConnectionParams['password'];
            $connectionParams['host']     = $testConnectionParams['host'];
            $connectionParams['port']     = $testConnectionParams['port'];
            $connectionParams['dbname']   = $testConnectionParams['dbname'];
        }

        if(empty($connectionParams["password"])) {
            $connectionParams["password"] = '';
        } else if($connectionParams["isEncrypted"] == 'true') {
            $connectionParams["password"] = self::decrypt($connectionParams["password"], $salt);
        }
        return DriverManager::getConnection($connectionParams, $config, $eventManager);
    }
}