<?php 

namespace Util;

class SimpleCurl {
    const CONTENT_TYPE_HEADER = "Content-Type: application/json";
    
    public static function post($url, array $jsonPayload, array $customHeaders = array()) {
        $ch = curl_init();
        $defaults = array(
            CURLOPT_URL => $url,
            CURLOPT_POST => true,
            CURLOPT_POSTFIELDS => json_encode($jsonPayload),
            CURLOPT_HTTPHEADER => array_merge($customHeaders, array(self::CONTENT_TYPE_HEADER)),
            CURLOPT_RETURNTRANSFER => 1,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CONNECTTIMEOUT => 10,
            CURLOPT_TIMEOUT => 30
        );
        
        curl_setopt_array($ch, $defaults);
        return self::doRequest($ch);
    }
    
    public static function get($url, array $customHeaders = array()) {
        $ch = curl_init();
        
        $defaults = array(
            CURLOPT_URL => $url,
            CURLOPT_POST => false,
            CURLOPT_HTTPHEADER => $customHeaders,
            CURLOPT_RETURNTRANSFER => 1,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CONNECTTIMEOUT => 10,
            CURLOPT_TIMEOUT => 30
        );
        
        curl_setopt_array($ch, $defaults);
        return self::doRequest($ch);
    }
    
    private static function doRequest($ch) {
        $result = curl_exec($ch);
        $result = json_decode($result, true);
        $error = curl_error($ch);
        curl_close($ch);
         
        if (!empty($result['error'])) {
            throw new \Exception($result['error']);
        } else if (!empty($error)) {
            throw new \Exception($error);
        } else {
            return $result['dataset'];
        }
    }
}