/* Tabela MOVICLIE: TABELA DE MOVIMENTO DE CLIENTES */
/* Descrio: A trigger insere registros na tabela LOGOPERAVND a partir de alteraes na tabela MOVICLIE */
/* Objetivo: Gerar um log que vai registrar as alteraes na MOVICLIE,
             utilizando a tabela de Logs de Operaes do VND*/
CREATE OR REPLACE TRIGGER LOG_VND_MOVICLIE
AFTER DELETE OR INSERT OR UPDATE
ON MOVICLIE FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(3000);
  V_ITPESQ       VARCHAR2(40);
  V_NMOPERADOR   VARCHAR2(40);
  V_IDTIPOOPER   VARCHAR2(1);
BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/
   V_DESC       := '';
   V_ITPESQ     := '';
   V_NMOPERADOR := '';
   V_IDTIPOOPER := '';
   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);
   IF UPDATING THEN
		IF NVL(:NEW.CDCLIENTE ,'NULL') <> NVL(:OLD.CDCLIENTE ,'NULL') THEN
			V_DESC   := 'Cliente '         || '' || NVL(:NEW.CDCLIENTE,''    );
		END IF;
		IF NVL(:NEW.NRSEQMOVCLI ,'NULL') <> NVL(:OLD.NRSEQMOVCLI ,'NULL') THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Seq Mov Cli  '    || '' || NVL(:NEW.NRSEQMOVCLI,''  );
		END IF;
		IF NVL(:NEW.CDCONSUMIDOR ,'NULL') <> NVL(:OLD.CDCONSUMIDOR ,'NULL') THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Cd Cons '         || '' || NVL(:NEW.CDCONSUMIDOR,'' );
		END IF;
		IF NVL(:NEW.VRMOVCLI ,999999) <> NVL(:OLD.VRMOVCLI ,999999) THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Vr Mov Cli '      || '' || NVL(:NEW.VRMOVCLI,''     );
		END IF;
		IF NVL(:NEW.DTMOVCLI ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTMOVCLI ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Mov Cli '      || '' || NVL(:NEW.DTMOVCLI,''     );
		END IF;
		IF NVL(:NEW.DSHISTMOV ,'NULL') <> NVL(:OLD.DSHISTMOV ,'NULL') THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Hist Mov '        || '' || NVL(:NEW.DSHISTMOV,''    );
		END IF;
		IF NVL(:NEW.IDTIPMOCVLI ,'NULL') <> NVL(:OLD.IDTIPMOCVLI ,'NULL') THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Tp Mov Cli '      || '' || NVL(:NEW.IDTIPMOCVLI,''  );
		END IF;
		IF NVL(:NEW.CDFILIAL ,'NULL') <> NVL(:NEW.CDFILIAL ,'NULL') THEN
			V_DESC   := NVL(V_DESC, ''   ) || ' ' || 'Filial '         || '' || NVL(:NEW.CDFILIAL,''    );
		END IF;		
		IF NVL(:NEW.CDCAIXA ,'NULL') <> NVL(:OLD.CDCAIXA ,'NULL') THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Caixa '           || '' || NVL(:NEW.CDCAIXA,''      );
		END IF;
		IF NVL(:NEW.NRSEQVENDA ,'NULL') <> NVL(:OLD.NRSEQVENDA ,'NULL') THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Nr Seq Venda '    || '' || NVL(:NEW.NRSEQVENDA,''   );
		END IF;
		IF NVL(:NEW.DTABERCAIX ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTABERCAIX ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Aber Caixa '      || '' || NVL(:NEW.DTABERCAIX,''   );
		END IF;
		IF NVL(:NEW.NRSEQUMOVI ,'NULL') <> NVL(:OLD.NRSEQUMOVI ,'NULL') THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Nr Seq Movi '     || '' || NVL(:NEW.NRSEQUMOVI,''   );
		END IF;
		IF NVL(:NEW.CDTIPORECE ,'NULL') <> NVL(:OLD.CDTIPORECE ,'NULL') THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Cd Tp Rece '      || '' || NVL(:NEW.CDTIPORECE,''   );
		END IF;
		IF NVL(:NEW.VRSALDOCONS ,999999) <> NVL(:OLD.VRSALDOCONS ,999999) THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Vr Saldo Cons '   || '' || NVL(:NEW.VRSALDOCONS,''  );
		END IF;
		IF NVL(:NEW.VRMOVPESCONS ,999999) <> NVL(:OLD.VRMOVPESCONS ,999999) THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Vr Mov Pes '      || '' || NVL(:NEW.VRMOVPESCONS,'' );
		END IF;
		IF NVL(:NEW.VRSALDPECONS ,999999) <> NVL(:OLD.VRSALDPECONS ,999999) THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'VRSALDPECONS '      || '' || NVL(:NEW.VRSALDPECONS,'' );
		END IF;
		IF NVL(:NEW.CDOPERADOR ,'NULL') <> NVL(:OLD.CDOPERADOR ,'NULL') THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Cd Operador '     || '' || NVL(:NEW.CDOPERADOR,''   );
		END IF;
        IF NVL(:NEW.CDOPERECSALD ,'NULL') <> NVL(:OLD.CDOPERECSALD ,'NULL') THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Cd Operec Sald '  || '' || NVL(:NEW.CDOPERECSALD,'' );
		END IF;
		IF NVL(:NEW.DTATUMOVCLIE ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTATUMOVCLIE ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Ult Atu Mov '  || '' || NVL(:NEW.DTATUMOVCLIE,'' );
		END IF;
		IF NVL(:NEW.DSATUMOVCLIE ,'NULL') <> NVL(:OLD.DSATUMOVCLIE ,'NULL') THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Ds Atu Mov '      || '' || NVL(:NEW.DSATUMOVCLIE,'' );
		END IF;
		IF NVL(:NEW.DTMOVIMCLIE ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTMOVIMCLIE ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Mov MCli '     || '' || NVL(:NEW.DTMOVIMCLIE,''  );
		END IF;
		IF NVL(:NEW.DTRECMOVCLIE ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTRECMOVCLIE ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Rec '          || '' || NVL(:NEW.DTRECMOVCLIE,'' );
		END IF;
		IF NVL(:NEW.CDFILIAPFATU ,'NULL') <> NVL(:OLD.CDFILIAPFATU ,'NULL') THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'CDFILIAPFATU '    || '' || NVL(:NEW.CDFILIAPFATU,'' );
		END IF;
		IF NVL(:NEW.NRAPURACFATU ,'NULL') <> NVL(:OLD.NRAPURACFATU ,'NULL') THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'NRAPURACFATU '    || '' || NVL(:NEW.NRAPURACFATU,'' );
		END IF;
		IF NVL(:NEW.VRPESUBSIDIO ,999999) <> NVL(:OLD.VRPESUBSIDIO ,999999) THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'VRPESUBSIDIO '    || '' || NVL(:NEW.VRPESUBSIDIO,'' );
		END IF;
		IF NVL(:NEW.VRTETOSUBSID ,999999) <> NVL(:OLD.VRTETOSUBSID ,999999) THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'VRTETOSUBSID '    || '' || NVL(:NEW.VRTETOSUBSID,'' );
		END IF;
		IF NVL(:NEW.DTULTATUMCLI ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTULTATUMCLI ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Ult Atu '      || '' || NVL(:NEW.DTULTATUMCLI,'' );
		END IF;
      V_ITPESQ := :NEW.CDFILIAL||:NEW.NRSEQMOVCLI;
      V_IDTIPOOPER := '2';
   ELSE 
      IF INSERTING THEN
		IF :NEW.CDCLIENTE IS NOT NULL THEN
			V_DESC   := 'Cliente '         || '' || NVL(:NEW.CDCLIENTE,''    );
		END IF;
		IF :NEW.NRSEQMOVCLI IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Seq Mov Cli  '    || '' || NVL(:NEW.NRSEQMOVCLI,''  );
		END IF;
		IF :NEW.CDCONSUMIDOR IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Cd Cons '         || '' || NVL(:NEW.CDCONSUMIDOR,'' );
		END IF;
		IF :NEW.VRMOVCLI IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Vr Mov Cli '      || '' || NVL(:NEW.VRMOVCLI,''     );
		END IF;
		IF :NEW.DTMOVCLI IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Mov Cli '      || '' || NVL(:NEW.DTMOVCLI,''     );
		END IF;
		IF :NEW.DSHISTMOV IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Hist Mov '        || '' || NVL(:NEW.DSHISTMOV,''    );
		END IF;
		IF :NEW.IDTIPMOCVLI IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Tp Mov Cli '      || '' || NVL(:NEW.IDTIPMOCVLI,''  );
		END IF;
		IF :NEW.CDFILIAL IS NOT NULL THEN
			V_DESC   := NVL(V_DESC, ''   ) || ' ' || 'Filial '         || '' || NVL(:NEW.CDFILIAL,''    );
		END IF;		
		IF :NEW.CDCAIXA IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Caixa '           || '' || NVL(:NEW.CDCAIXA,''      );
		END IF;
		IF :NEW.NRSEQVENDA IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Nr Seq Venda '    || '' || NVL(:NEW.NRSEQVENDA,''   );
		END IF;
		IF :NEW.DTABERCAIX IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Aber Caixa '      || '' || NVL(:NEW.DTABERCAIX,''   );
		END IF;
		IF :NEW.NRSEQUMOVI IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Nr Seq Movi '     || '' || NVL(:NEW.NRSEQUMOVI,''   );
		END IF;
		IF :NEW.CDTIPORECE IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Cd Tp Rece '      || '' || NVL(:NEW.CDTIPORECE,''   );
		END IF;
		IF :NEW.VRSALDOCONS IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Vr Saldo Cons '   || '' || NVL(:NEW.VRSALDOCONS,''  );
		END IF;
		IF :NEW.VRMOVPESCONS IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Vr Mov Pes '      || '' || NVL(:NEW.VRMOVPESCONS,'' );
		END IF;
		IF :NEW.VRSALDPECONS IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Vr Mov Pes '      || '' || NVL(:NEW.VRSALDPECONS,'' );
		END IF;
		IF :NEW.CDOPERADOR IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Cd Operador '     || '' || NVL(:NEW.CDOPERADOR,''   );
		END IF;
        IF :NEW.CDOPERECSALD IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Cd Operec Sald '  || '' || NVL(:NEW.CDOPERECSALD,'' );
		END IF;
		IF :NEW.DTATUMOVCLIE IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Ult Atu Mov '  || '' || NVL(:NEW.DTATUMOVCLIE,'' );
		END IF;
		IF :NEW.DSATUMOVCLIE IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Ds Atu Mov '      || '' || NVL(:NEW.DSATUMOVCLIE,'' );
		END IF;
		IF :NEW.DTMOVIMCLIE IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Mov MCli '     || '' || NVL(:NEW.DTMOVIMCLIE,''  );
		END IF;
		IF :NEW.DTRECMOVCLIE IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Rec '          || '' || NVL(:NEW.DTRECMOVCLIE,'' );
		END IF;
		IF :NEW.CDFILIAPFATU IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'CDFILIAPFATU '    || '' || NVL(:NEW.CDFILIAPFATU,'' );
		END IF;
		IF :NEW.NRAPURACFATU IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'NRAPURACFATU '    || '' || NVL(:NEW.NRAPURACFATU,'' );
		END IF;
		IF :NEW.VRPESUBSIDIO IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'VRPESUBSIDIO '    || '' || NVL(:NEW.VRPESUBSIDIO,'' );
		END IF;
		IF :NEW.VRTETOSUBSID IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'VRTETOSUBSID '    || '' || NVL(:NEW.VRTETOSUBSID,'' );
		END IF;
		IF :NEW.DTULTATUMCLI IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Ult Atu '      || '' || NVL(:NEW.DTULTATUMCLI,'' );
		END IF;
		V_ITPESQ := :NEW.CDFILIAL||:NEW.NRSEQMOVCLI;
        V_IDTIPOOPER := '1';
      ELSE
         IF DELETING THEN
		IF :OLD.CDCLIENTE IS NOT NULL THEN
			V_DESC   := 'Cliente '         || '' || NVL(:OLD.CDCLIENTE,''    );
		END IF;
		IF :OLD.NRSEQMOVCLI IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Seq Mov Cli  '    || '' || NVL(:OLD.NRSEQMOVCLI,''  );
		END IF;
		IF :OLD.CDCONSUMIDOR IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Cd Cons '         || '' || NVL(:OLD.CDCONSUMIDOR,'' );
		END IF;
		IF :OLD.VRMOVCLI IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Vr Mov Cli '      || '' || NVL(:OLD.VRMOVCLI,''     );
		END IF;
		IF :OLD.DTMOVCLI IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Mov Cli '      || '' || NVL(:OLD.DTMOVCLI,''     );
		END IF;
		IF :OLD.DSHISTMOV IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Hist Mov '        || '' || NVL(:OLD.DSHISTMOV,''    );
		END IF;
		IF :OLD.IDTIPMOCVLI IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Tp Mov Cli '      || '' || NVL(:OLD.IDTIPMOCVLI,''  );
		END IF;
		IF :OLD.CDFILIAL IS NOT NULL THEN
			V_DESC   := NVL(V_DESC, '') || ' ' || 'Filial '            || '' || NVL(:OLD.CDFILIAL,''    );
		END IF;		
		IF :OLD.CDCAIXA IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Caixa '           || '' || NVL(:OLD.CDCAIXA,''      );
		END IF;
		IF :OLD.NRSEQVENDA IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Nr Seq Venda '    || '' || NVL(:OLD.NRSEQVENDA,''   );
		END IF;
		IF :OLD.DTABERCAIX IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Aber Caixa '      || '' || NVL(:OLD.DTABERCAIX,''   );
		END IF;
		IF :OLD.NRSEQUMOVI IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Nr Seq Movi '     || '' || NVL(:OLD.NRSEQUMOVI,''   );
		END IF;
		IF :OLD.CDTIPORECE IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Cd Tp Rece '      || '' || NVL(:OLD.CDTIPORECE,''   );
		END IF;
		IF :OLD.VRSALDOCONS IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Vr Saldo Cons '   || '' || NVL(:OLD.VRSALDOCONS,''  );
		END IF;
		IF :OLD.VRMOVPESCONS IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Vr Mov Pes '      || '' || NVL(:OLD.VRMOVPESCONS,'' );
		END IF;
		IF :OLD.VRSALDPECONS IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Vr Mov Pes '      || '' || NVL(:OLD.VRSALDPECONS,'' );
		END IF;
		IF :OLD.CDOPERADOR IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Cd Operador '     || '' || NVL(:OLD.CDOPERADOR,''   );
		END IF;
        IF :OLD.CDOPERECSALD IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Cd Operec Sald '  || '' || NVL(:OLD.CDOPERECSALD,'' );
		END IF;
		IF :OLD.DTATUMOVCLIE IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Ult Atu Mov '  || '' || NVL(:OLD.DTATUMOVCLIE,'' );
		END IF;
		IF :OLD.DSATUMOVCLIE IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Ds Atu Mov '      || '' || NVL(:OLD.DSATUMOVCLIE,'' );
		END IF;
		IF :OLD.DTMOVIMCLIE IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Mov MCli '     || '' || NVL(:OLD.DTMOVIMCLIE,''  );
		END IF;
		IF :OLD.DTRECMOVCLIE IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Rec '          || '' || NVL(:OLD.DTRECMOVCLIE,'' );
		END IF;
		IF :OLD.CDFILIAPFATU IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'CDFILIAPFATU '    || '' || NVL(:OLD.CDFILIAPFATU,'' );
		END IF;
		IF :OLD.NRAPURACFATU IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'NRAPURACFATU '    || '' || NVL(:OLD.NRAPURACFATU,'' );
		END IF;
		IF :OLD.VRPESUBSIDIO IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'VRPESUBSIDIO '    || '' || NVL(:OLD.VRPESUBSIDIO,'' );
		END IF;
		IF :OLD.VRTETOSUBSID IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'VRTETOSUBSID '    || '' || NVL(:OLD.VRTETOSUBSID,'' );
		END IF;
		IF :OLD.DTULTATUMCLI IS NOT NULL THEN
			V_DESC   := NVL(V_DESC,''    ) || ' ' ||'Dt Ult Atu '      || '' || NVL(:OLD.DTULTATUMCLI,'' );
		END IF;
		V_ITPESQ := :OLD.CDFILIAL||:OLD.NRSEQMOVCLI;
        V_IDTIPOOPER := '3';
        END IF;
      END IF;
   END IF;
   V_DESC := SUBSTR(V_DESC, 1, 300);
   INSERT INTO LOGOPERAVND
      (NMTABELAVND,
       DTOPERACAOVND,
       NMRESPOPERVND,
       IDTIPOOPERVND,
       DSOPERACAOVND,
       CDPESQITEMVND,
       DSRDMUSUOPERVND,
       DSENDUSUOPERVND,
       DSNMUSUOPERVND,
       DSMETUSUOPERVND,
       CDORESPOPERVND,
       CDFILLOGOPERVND)
   VALUES
      ('MOVICLIE',
       SYSDATE,
       NVL(V_NMOPERADOR,' '),
       V_IDTIPOOPER,
       NVL(V_DESC,' '),
       V_ITPESQ,
       V_DSSERVERRDM,
       V_DSREMOTEADDR,
       V_DSREMOTEHOST,
       V_DSSERVMETHOD,
       V_DSREMOTEOPER,
       NVL(:NEW.CDFILIAL,:OLD.CDFILIAL));
END;
/
-- VERSAO --
BEGIN ATUVEROBJ('LOG_VND_MOVICLIE','5.20.001'); END;
/