4/* Tabela FILIAL: Filial */
/* Descrio: A trigger insere registros na tabela ALTERAPARTSPED a partir de alteraes
na tabela FILIAL */
/* Objetivo: Registrar as alteraes realizadas nos campos NMRAZSOCFILI, NRINSJURFILI, CDINSCESTA, NRINSCSUFRAMAFI
da tabela FILIAL, para serem utilizadas na gerao do registro 0175 do Sped Fiscal */

create or replace
TRIGGER ALTERA_FILIAL_SPED
AFTER UPDATE
ON FILIAL FOR EACH ROW
DECLARE  
  V_NRSEQALTPARTSPED NUMBER;
  V_DTOPER           DATE;
  V_PRIMEIRODIA      DATE;
BEGIN
  IF UPDATING THEN
    IF (((:OLD.NMRAZSOCFILI <> :NEW.NMRAZSOCFILI) OR (:NEW.NMRAZSOCFILI IS NULL)) AND (:OLD.NMRAZSOCFILI IS NOT NULL)) THEN
       BEGIN
            SELECT MAX(NRSEQALTPARTSPED)
              INTO V_NRSEQALTPARTSPED
              FROM ALTERAPARTSPED;
       EXCEPTION
            WHEN NO_DATA_FOUND THEN
                 V_NRSEQALTPARTSPED := 0; 
       END;

       V_NRSEQALTPARTSPED := NVL(V_NRSEQALTPARTSPED,0)+1;
       V_DTOPER := SYSDATE;

       BEGIN
            DELETE ALTERAPARTSPED
             WHERE CDCHAVE = 'L'||:OLD.CDFILIAL
               AND CDCAMPO = '03'
               AND DTALTERACAO < V_DTOPER;
       END;

       INSERT INTO ALTERAPARTSPED (NRSEQALTPARTSPED,CDCHAVE,CDCAMPO,DTALTERACAO,DSCONTEUDOANT)
            VALUES (LPAD(V_NRSEQALTPARTSPED,'10','0'),'L'||:OLD.CDFILIAL,'03',V_DTOPER,:OLD.NMRAZSOCFILI);
    END IF;

    IF (((:OLD.NRINSJURFILI <> :NEW.NRINSJURFILI) OR (:NEW.NRINSJURFILI IS NULL)) AND (:OLD.NRINSJURFILI IS NOT NULL)) THEN
       BEGIN
            SELECT MAX(NRSEQALTPARTSPED)
              INTO V_NRSEQALTPARTSPED
              FROM ALTERAPARTSPED;
       EXCEPTION
            WHEN NO_DATA_FOUND THEN
                 V_NRSEQALTPARTSPED := 0; 
       END;

       V_NRSEQALTPARTSPED := NVL(V_NRSEQALTPARTSPED,0)+1;
       V_DTOPER := SYSDATE;

       BEGIN
            DELETE ALTERAPARTSPED
             WHERE CDCHAVE = 'L'||:OLD.CDFILIAL
               AND CDCAMPO = '05'
               AND DTALTERACAO < V_DTOPER;
       END;

       INSERT INTO ALTERAPARTSPED (NRSEQALTPARTSPED,CDCHAVE,CDCAMPO,DTALTERACAO,DSCONTEUDOANT)
            VALUES (LPAD(V_NRSEQALTPARTSPED,'10','0'),'L'||:OLD.CDFILIAL,'05',V_DTOPER,:OLD.NRINSJURFILI);    
    END IF;
    
    IF (((:OLD.CDINSCESTA <> :NEW.CDINSCESTA) OR (:NEW.CDINSCESTA IS NULL)) AND (:OLD.CDINSCESTA IS NOT NULL)) THEN
       BEGIN
            SELECT MAX(NRSEQALTPARTSPED)
              INTO V_NRSEQALTPARTSPED
              FROM ALTERAPARTSPED;
       EXCEPTION
            WHEN NO_DATA_FOUND THEN
                 V_NRSEQALTPARTSPED := 0; 
       END;

       V_NRSEQALTPARTSPED := NVL(V_NRSEQALTPARTSPED,0)+1;
       V_DTOPER := SYSDATE;

       BEGIN
            DELETE ALTERAPARTSPED
             WHERE CDCHAVE = 'L'||:OLD.CDFILIAL
               AND CDCAMPO = '07'
               AND DTALTERACAO < V_DTOPER;
       END;

       INSERT INTO ALTERAPARTSPED (NRSEQALTPARTSPED,CDCHAVE,CDCAMPO,DTALTERACAO,DSCONTEUDOANT) 
            VALUES (LPAD(V_NRSEQALTPARTSPED,'10','0'),'L'||:OLD.CDFILIAL,'07',V_DTOPER,:OLD.CDINSCESTA);    
    END IF;
    
    IF (((:OLD.NRINSCSUFRAMAFI <> :NEW.NRINSCSUFRAMAFI) OR (:NEW.NRINSCSUFRAMAFI IS NULL)) AND (:OLD.NRINSCSUFRAMAFI IS NOT NULL)) THEN
       BEGIN
            SELECT MAX(NRSEQALTPARTSPED)
              INTO V_NRSEQALTPARTSPED
              FROM ALTERAPARTSPED;
       EXCEPTION
            WHEN NO_DATA_FOUND THEN
                 V_NRSEQALTPARTSPED := 0; 
       END;

       V_NRSEQALTPARTSPED := NVL(V_NRSEQALTPARTSPED,0)+1;
       V_DTOPER := SYSDATE;

       BEGIN
            DELETE ALTERAPARTSPED
             WHERE CDCHAVE = 'L'||:OLD.CDFILIAL
               AND CDCAMPO = '09'
               AND DTALTERACAO < V_DTOPER;
       END;

       INSERT INTO ALTERAPARTSPED (NRSEQALTPARTSPED,CDCHAVE,CDCAMPO,DTALTERACAO,DSCONTEUDOANT) 
            VALUES (LPAD(V_NRSEQALTPARTSPED,'10','0'),'L'||:OLD.CDFILIAL,'09',V_DTOPER,:OLD.NRINSCSUFRAMAFI);    
    END IF;
  END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('ALTERA_FILIAL_SPED','5.85.000'); END;
/